Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035766
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-04-12 12:082017-04-28 13:48
ReporternataliagView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision5d54544c6fcd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035766: External Keyboard duplicate last character in iOS

DescriptionExternal Keyboard duplicate last character in iOS
Steps To Reproduce1- Using an iOS device go to "POS Terminal Type" window in backoffice and select the "VBS POS Terminal Type" record, tick the "Use External Input" option.
2- Save changes and go to the POS Terminal.
3- Click on the UPC/EAN field and using a external keyboard insert a code, for example 1234, in the UPC/EAN field the numbers are inserted well but the application is reading the last number twice, 12344.
TagsNo tags attached.
Attached Filesdiff file icon issue35766.diff [^] (3,627 bytes) 2017-04-12 17:11 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096097)
hgbot (developer)
2017-04-21 10:43

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 5d54544c6fcdb8a980fb1dc23c331340fa06bdbd
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Apr 18 15:40:19 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5d54544c6fcdb8a980fb1dc23c331340fa06bdbd [^]

Fixed issue 35766: External Keyboard duplicate last character in iOS

Three main changes have been made:
 * Now in iOS, the focus keeper value will no longer be reset with the value of
   the editbox.
 * Additionally, also only on iOS, a small timeout has been added only after the
   enter key is pressed.
 * Besides, the enterEvent is now called iosKeyEvent, as it's only used in iOS,
   and we are now only adding the keypress event in iOS and the keyup only in
   the rest of the platforms.

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---

- Issue History
Date Modified Username Field Change
2017-04-12 12:08 nataliag New Issue
2017-04-12 12:08 nataliag Assigned To => Retail
2017-04-12 12:08 nataliag Triggers an Emergency Pack => No
2017-04-12 12:18 marvintm File Added: issue35766.diff
2017-04-12 17:11 marvintm File Deleted: issue35766.diff
2017-04-12 17:11 marvintm File Added: issue35766.diff
2017-04-18 15:34 jorge-garcia Status new => scheduled
2017-04-18 15:34 jorge-garcia Assigned To Retail => jorge-garcia
2017-04-21 10:43 hgbot Checkin
2017-04-21 10:43 hgbot Note Added: 0096097
2017-04-21 10:43 hgbot Status scheduled => resolved
2017-04-21 10:43 hgbot Resolution open => fixed
2017-04-21 10:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5d54544c6fcdb8a980fb1dc23c331340fa06bdbd [^]
2017-04-28 13:48 marvintm Review Assigned To => marvintm
2017-04-28 13:48 marvintm Status resolved => closed
2017-04-28 13:48 marvintm Fixed in Version => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker